const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    relationId: '',
    relationName:'',
    level:'',
    typeTwo:'',
    typeThree:'',
    navList: [],
    childNavList: [],
    newsList: [],
    current: 0,
    childCurrent: null,
    branchStyle:[
      {
        imgUrl:'https://hqjddj.shanghaiairport.com/api/v1/buckets/wmy/objects/download/?preview=true&prefix=zbfc3.png',
        name:'系统运行党支部',
        personNum:"12人",
        time:"2023-10-23",
        detail:'支部成立于2023年，日常主要承担虹桥机场网络、离港、航显、集成、视频监控等相关信息系统的运维工作，在日常工作中勇于创新，取得多项行业专利证书。'
      },
      {
        imgUrl:'https://hqjddj.shanghaiairport.com/api/v1/buckets/wmy/objects/download/?preview=true&prefix=zbfc4.png',
        name:'机电运行党支部',
        personNum:"16人",
        time:"2023-10-23",
        detail:'支部成立于2023年，日常主要承担虹桥机场登机桥、行李等相关机电设备的运维工作，并曾多次在民航业的登机桥技能大赛中取得好成绩。'
      },
      {
        imgUrl:'https://hqjddj.shanghaiairport.com/api/v1/buckets/wmy/objects/download/?preview=true&prefix=zbfc2.png',
        name:'安控管理党支部',
        personNum:"20人",
        time:"2024-04-18",
        detail:'支部成立于2018年，主要负责保障部的运行指挥、协同处置以及安全、服务、舆情、应急管理等条线工作。'
      },
      {
        imgUrl:'https://hqjddj.shanghaiairport.com/api/v1/buckets/wmy/objects/download/?preview=true&prefix=zbfc1.png',
        name:'设备工程党支部',
        personNum:"20人（含1名预备党员）",
        time:"2024.04.11",
        detail:'支部成立于2018年，2020年成为虹桥公司基层党建示范点。部室内党员比例高达50%，日常主要承担虹桥机场离港、航显、集成、视频监控、行李、登机桥等相关系统的数字化、智慧化应用和建设，以及相关设备条线的管理工作。'
      },
      {
        imgUrl:'https://hqjddj.shanghaiairport.com/api/v1/buckets/wmy/objects/download/?preview=true&prefix=zbfc5.png',
        name:'机关、业务、IT党支部',
        personNum:"21人",
        time:"2024-04-11",
        detail:'支部成立于2018年，日常主要承担保障部综合事务、业务招标采购、合同管理、IT项目建设、网络安全以及党纪工团等条线工作。'
      }
    ],//支部风采
  },

  // 生命周期函数
  onLoad: function (option) {
    wx.setNavigationBarTitle({
      title: option.relationName,
    });
    this.setData({
      relationId: option.id,
      relationName:option.relationName
    })
    let params = {
      level: this.data.level,
      pageNo: '1',
      pageSize: '50',
      relationId: this.data.relationId,
      terminalName: 'MOBILE',
      typeName: 'news',
      typeTwo:this.data.typeTwo,
    }
    post(url.NewsMessageApi, params).then(res => {
      let childNav = res.data.classifyNews[0].childClassifyNews
      let childNum = res.data.classifyNews[0].id
      this.setData({
        navList: res.data.classifyNews,
        childNavList:childNav,
        level:'2',
        typeTwo:childNum
      })
      this.getNewsList()
    })
  },
  getNewsList: function () {
    let params = {
      level: this.data.level,
      pageNo: '1',
      pageSize: '50',
      relationId: this.data.relationId,
      terminalName: 'MOBILE',
      typeName: 'news',
      typeTwo:this.data.typeTwo,
    }
    post(url.NewsMessageApi, params).then(res => {
      res.data.news.map((item) => {
        item.releaseTime = moment(item.releaseTime).format("YYYY-MM-DD")
      })
      this.setData({
        newsList: res.data.news,
      })
    })
  },
  currentNav: function (e) {
    let index = e.currentTarget.dataset.index;
    let childNav = this.data.navList[index].childClassifyNews;
    let childId = this.data.navList[index].id;
    this.setData({
      current: index,
      childNavList:childNav,
      level:'2',
      typeTwo:childId,
      childCurrent:null
    })
    this.getNewsList()
  },
  currentChildNav: function (e) {
    let index = e.currentTarget.dataset.index;
    let childId= this.data.childNavList[index].id
    this.setData({
      childCurrent: index,
      level:'3',
      typeTwo:childId
    })
    this.getNewsList()
  },
  handleTo: function (e) {
    let item = e.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/NewsMessage/news/index?id='+item.id,
    })
  },
});