const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig';
const moment = require('/miniprogram_npm/moment/index.js');
const {
  formatRichText
} = require('../../../utils/util')
Page({
  data: {
    newsId: '',
    activeData: {}
  },
  onLoad: function (options) {
    this.setData({
      newsId: options.id,
    })
    this.getActiveDetail()
  },
  getActiveDetail() {
    post(url.getActiveDetailApi, {
      id: this.options.id
    }).then(res => {
      let obj = res.data.introductionVo;
      obj.startTime = moment(obj.startTime).format("YYYY-MM-DD HH:mm");
      obj.endTime = moment(obj.endTime).format("YYYY-MM-DD HH:mm")
      obj.description = formatRichText(obj.description)
      this.setData({
        activeData: obj
      })
    })
  },
  /**
   * 操作报名与签到
   */
  handleOk() {
    let data = this.data.activeData
    //签到
    if (data.activityStateCode == "4") {
      if (data.enablePosition == 0) {
        let params = {
          trainingProjectId: this.options.id,
          signTimeId: data.signTimeId,
          signType: data.signType,
        };
        post(url.signInApi, params).then(() => {
          wx.showToast({
            title: '签到成功',
            type: "success",
            success: () => {
              this.getActiveDetail()
            }
          })
        })
      } else {
        let that = this
        wx.scanCode({
          // onlyFromCamera: true,
          success(res) {
            let obj = JSON.parse(res.result)
            let params = {
              trainingProjectId: obj.trainingProjectId,
              signTimeId: obj.signTimeId,
              signType: 1,
            };
            post(url.signCustomInApi, params).then(() => {
              wx.showToast({
                title: '签到成功',
                type: "success",
                success: () => {
                  that.getActiveDetail()
                }
              })
            })
          }
        })
      }
    } else if(data.activityStateCode == "3"){
      this.signUp()
    }
  },
  // 报名
  signUp() {
    let params = {
      id: this.options.id,
    };
    post(url.signUpApi, params).then(() => {
      wx.showToast({
        title: '报名成功',
        type: "success",
        success: () => {
          this.getActiveDetail()
        }
      })
    })
  },
})