const md5 = require('/miniprogram_npm/md5/index.js');
const {
  sm2
} = require('/miniprogram_npm/sm-crypto/index.js');
const moment = require('/miniprogram_npm/moment/index.js');
const TOKEN_KEY = 'auth_token';
const { get, post } = require('../../utils/request');
import url from '../../utils/urlconfig'
Page({
  data: {
    btnstatus:'false',
    newPassword: "",
    repeatPassword: "",
  },

  onLoad() {

  },
  passwordBindinput: function (e) {
    this.setData({
      newPassword: e.detail.value
    })
  },
  newPasswordBindinput: function (e) {
    this.setData({
      repeatPassword: e.detail.value
    })
  },
  generateCharacter(n) {
    var chars = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z']
    var res = "";
    for (var i = 0; i < n; i++) {
      var id = Math.ceil(Math.random() * 35);
      res += chars[id];
    }

    return res;
  },

  getCurrentDay() {
    let date = ""
    date = moment(new Date()).format("YYYYMMDD")
    return date
  },

  changePasswordSubmit() {
    const {
      newPassword,
      repeatPassword
    } = this.data;
    if (newPassword != repeatPassword) {
      wx.showToast({
        title: '两次密码输入不一致！',
        icon: 'none',
        duration: 1200
      })
      return;
    }
    let pattern = /(^.*(?=.{8,20})(?=.*\d)(?=.*[a-zA-Z])(?=.*[~!@#$%^&*()_+[\]{}|\;:'",./<>?]).*$)|(^.*(?=.{8,20})(?=.*\d)(?=.*[a-z])(?=.*\d)(?=.*[A-Z]).*$)|(^.*(?=.{8,20})(?=.*\d)(?=.*[a-z])(?=.*[~!@#$%^&*()_+[\]{}|\;:'",./<>?]).*$)|(^.*(?=.{8,20})(?=.*\d)(?=.*[A-Z])(?=.*[~!@#$%^&*()_+[\]{}|\;:'",./<>?]).*$)|(^.*(?=.{8,20})(?=.*[A-Z])(?=.*[a-z])(?=.*[~!@#$%^&*()_+[\]{}|\;:'",./<>?]).*$)/;

    if (!pattern.test(newPassword)) {
      wx.showToast({
        title: '密码格式不正确',
        icon: 'none',
        duration: 1200
      })
      return;
    }

    const public_key = '047214fe3a249b75b6ba92ee494e0a8a68c0a19893a480b3c28bf06cd5b7d621243c7f6704caa3b43ade6be15de11cabd185611a9edfdcf1b11d7a2478c67b4c1c'

    const private_key = '00a2bbe941a177ca9f200d1c4d37e8f0b43b9cd2ea662304a05c064c6416e74d49'

    let salt = ""
    let date = ""
    let key = ""
    let sign = ""
    let password = ""
    let confirmedPassword = ""

    salt = this.generateCharacter(16)
    console.log("validate-salt", salt)
    date = this.getCurrentDay()
    console.log("validate-date1111", date)
    password = sm2.doEncrypt(newPassword + salt, public_key, 1);
    confirmedPassword = sm2.doEncrypt(repeatPassword + salt, public_key, 1)

    password = "04" + password
    confirmedPassword = "04" + confirmedPassword

    if (salt && date) {
      key = salt + date
      console.log("validate-key", key)
    }
    sign = "confirmPassword=" + confirmedPassword + "&password=" + password + "&salt=" + salt + "&key=" + key

    console.log("validate-sign", md5(sign))

    let parms = {
      confirmPassword: confirmedPassword,
      password,
      salt: salt,
      sign: md5(sign)
    }
    post(url.changPsdApi,parms).then(res => {
      wx.showToast({
        title: '修改密码成功！',
        icon: 'success',
        duration: 1500,
        success:()=>{
          this.goBack()
        }
      })
    })
  },
  goBack() {
    wx.reLaunch({
      url: '/pages/login/index'
    });
    wx.setStorageSync(TOKEN_KEY, {
      token: '',
      expiry: ''
    });
  }
});