Component({
  properties: {

  },
  data: {
    // 这里是一些组件内部数据
    imageList: [],
    previewImages: [],
    uploadFile: []
  },
  methods: {
    chooseMedia() {
      wx.chooseMedia({
        mediaType: ['image', 'video'],
        sourceType: ['album', 'camera'],
        maxDuration: 30,
        camera: 'back',
        success: (res) => {
          console.log(res)
          this.uploadImg(res.tempFiles[0].tempFilePath)
          //预览数据
          let previewItems = [];
          let previewItem = {
            url: res.tempFiles[0].tempFilePath,
            type: res.tempFiles[0].fileType,
          }
          previewItems.push(previewItem)
          let imgs = [];
          imgs.push(res.tempFiles[0].tempFilePath)
          this.setData({
            imageList: [...this.data.imageList, ...imgs],
            previewImages: [...this.data.previewImages, ...previewItems],
          });
        }
      });

    },
    //图片上传
    uploadImg(url) {
      const TOKEN_KEY = 'auth_token';
      const tokenData = wx.getStorageSync(TOKEN_KEY);
      let imgs = []
      wx.uploadFile({
        url: 'https://hqjddj.shanghaiairport.com/aliyun/api/upload/?companyCode=zhdj&siteCode=edu', // 服务器接口地址
        filePath: url, // 单张图片路径
        name: 'file', // 后台接收的字段名
        header: {
          'content-type': 'application/json', // 默认JSON格式
          'Authorization': tokenData.token,
        },
        success: (res) => {
          const data = JSON.parse(res.data); // 解析服务器响应
          this.data.uploadFile.push(data.data)
        },
        fail(err) {
          console.error('上传失败', err);
        }
      });

    },
    //图片删除
    deleteImage(e) {
      const index = e.currentTarget.dataset.index;
      const imageList = this.data.imageList.filter((_, i) => i !== index);
      this.setData({
        imageList
      });
    },
    //图片预览1
    previewImage(e) {
      const index = e.currentTarget.dataset.index;
      wx.previewMedia({
        sources: this.data.previewImages,
        current: index
      });
    },
  },

})