const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
Page({
  data: {
    activeId: null,
    activeTwoId: null,
    activeThreeId: null,
    typeOne: null,
    typeTwo: null,
    typeThree: null,
    mapList: [],
    mapTwoList: [],
    mapThreeList: [],
    detailStu: true,
    videoVisible: false,
    authValue: "",
    delValue: "",
    titleValue: "",
    contentValue: "",
    previewVisible: false,
    previewImage: "",
    selectList: [],
    selectIndex: 0
  },
  onLoad() {
    get(url.getContributeListApi, {
      id: 2
    }).then(response => {
      this.setData({
        mapList: response.data
      });
    });
    post(url.getSelectListApi, {}).then(response => {
      this.setData({
        selectList: response.data.records
      });
    });
  },
  handleClick(e) {
    const {
      index,
      item
    } = e.currentTarget.dataset;
    get(url.getContributeListApi, {
      id: item.id
    }).then(response => {
      this.setData({
        mapTwoList: response.data,
        mapThreeList: []
      });
    });
    if (this.data.activeId !== index) {
      this.setData({
        activeId: index,
        activeTwoId: null,
        typeOne: item.value,
        typeTwo: null,
        activeThreeId: null,
        typeThree: null
      });
    }
  },
  handleTwoClick(e) {
    const {
      index,
      item
    } = e.currentTarget.dataset;
    get(url.getContributeListApi, {
      id: item.id
    }).then(response => {
      this.setData({
        mapThreeList: response.data,
      });
    });
    if (this.data.activeTwoId !== index) {
      this.setData({
        activeTwoId: index,
        activeThreeId: null,
        typeTwo: item.value,
        typeThree: null
      });
    }
  },
  handleThreeClick(e) {
    const {
      index,
      item
    } = e.currentTarget.dataset;
    if (this.data.activeThreeId !== index) {
      this.setData({
        activeThreeId: index,
        typeThree: item.value
      });
    }
  },
  handleTo() {
    const {
      typeOne,
      typeTwo,
      typeThree
    } = this.data;
    if (!typeOne) {
      wx.showToast({
        title: '请选择投稿类型',
        icon: 'none'
      });
    } else {
      this.setData({
        detailStu:false
      })
    }
  },
  onTitleChange(e) {
    this.setData({
      titleValue: e.detail.value
    });
  },
  onContentChange(e) {
    this.setData({
      contentValue: e.detail.value
    });
  },
  onAuthChange(e) {
    this.setData({
      authValue: e.detail.value
    });
  },
  onSelectChange(e) {
    this.setData({
      selectIndex: e.detail.value
    });
  },
  showVideoModal() {
    this.setData({
      videoVisible: true
    });
  },
  closeVideoModal() {
    this.setData({
      videoVisible: false
    });
  },
  handleSumbit() {
    const uploadData = this.selectComponent('#upload')?.data;
    let params = {
      fileName: this.data.titleValue,
      typeOne: this.data.typeOne,
      typeTwo: this.data.typeTwo,
      typeThree: this.data.typeThree,
      author: this.data.authValue,
      content: this.data.contentValue,
      ossUrl: JSON.stringify(uploadData.uploadFile),
      deptName: this.data.selectList[this.data.selectIndex].name
    };

    if (!this.data.titleValue) {
      wx.showToast({
        title: '请输入标题',
        icon: 'none'
      });
      return;
    }
    if (!this.data.contentValue) {
      wx.showToast({
        title: '请输入内容',
        icon: 'none'
      });
      return;
    }
    if (!this.data.authValue) {
      wx.showToast({
        title: '请输入作者',
        icon: 'none'
      });
      return;
    }
    if (!this.data.selectList[this.data.selectIndex]) {
      wx.showToast({
        title: '请选择支部和部室',
        icon: 'none'
      });
      return;
    }
    post(url.commitContributeApi,params).then(res=>{
      if (res.code == 1000) {
        wx.showToast({
          title: '提交成功',
          icon: 'success',
          success:()=>{
            this.setData({
              detailStu:true,
            })
          }
        });
      }
    })
  }
});