const TOKEN_KEY = 'auth_token';
const TOKEN_EXPIRY = 30 * 24 * 60 * 60 * 1000; // 30天有效期

const md5 = require('/miniprogram_npm/md5/index.js');
const {
  sm2
} = require('/miniprogram_npm/sm-crypto/index.js');
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    showPassword: true,
    account: '',
    password: '',
    captchaVal: '',
    captchaKey: '',
    captchaImgUrl: '',
  },

  // 生命周期函数 - 检查本地token
  onLoad() {
    this.getCaptchaKey()
    const tokenData = wx.getStorageSync(TOKEN_KEY);
    if (tokenData && Date.now() < tokenData.expiry) {
      this.redirectToHome();
    }
  },
  accountBindinput: function (e) {
    this.setData({
      account: e.detail.value
    })
  },
  passwordBindinput: function (e) {
    this.setData({
      password: e.detail.value
    })
  },
  changePassword: function () {
    this.setData({
      showPassword: !this.data.showPassword
    })
  },
  captchaValBindinput: function (e) {
    this.setData({
      captchaVal: e.detail.value
    })
  },
  // 获取验证码
  getCaptchaKey() {
    let baseUrl =
      'https://hqjddj.shanghaiairport.com/system/api/public/getCaptcha?companyCode=zhdj&siteCode=edu&captchaKey=';

    let num = Math.floor(Math.random() * 999999)
      .toString()
      .padStart(6, "0")
    this.setData({
      captchaKey: num,
      captchaImgUrl: baseUrl + num
    });
  },
  generateCharacter(n) {
    var chars = [
      "0",
      "1",
      "2",
      "3",
      "4",
      "5",
      "6",
      "7",
      "8",
      "9",
      "A",
      "B",
      "C",
      "D",
      "E",
      "F",
      "G",
      "H",
      "I",
      "J",
      "K",
      "L",
      "M",
      "N",
      "O",
      "P",
      "Q",
      "R",
      "S",
      "T",
      "U",
      "V",
      "W",
      "X",
      "Y",
      "Z",
    ];
    var res = "";
    for (var i = 0; i < n; i++) {
      var id = Math.ceil(Math.random() * 35);
      res += chars[id];
    }

    return res;
  },

  getCurrentDay() {
    let date = "";
    date = moment(new Date()).format("YYYYMMDD");
    return date;
  },
  // 登录处理
  async handleLogin() {
    const public_key =
      "047214fe3a249b75b6ba92ee494e0a8a68c0a19893a480b3c28bf06cd5b7d621243c7f6704caa3b43ade6be15de11cabd185611a9edfdcf1b11d7a2478c67b4c1c";

    const private_key =
      "00a2bbe941a177ca9f200d1c4d37e8f0b43b9cd2ea662304a05c064c6416e74d49";

    let salt = "";
    let date = "";
    let key = "";
    let sign = "";
    let password = "";
    let account = "";

    salt = this.generateCharacter(16);
    date = this.getCurrentDay();
    password = sm2.doEncrypt(this.data.password + salt, public_key, 1);
    account = sm2.doEncrypt(this.data.account + salt, public_key, 1);
    password = "04" + password;
    account = "04" + account;
    if (salt && date) {
      key = salt + date;
    }
    sign =
      "account=" +
      account +
      "&password=" +
      password +
      "&salt=" +
      salt +
      "&key=" +
      key;
    let parms = {
      account: account,
      password: password,
      salt: salt,
      sign: md5(sign),
      languageCode: 'zh-cn', //新增国际化-cwj-152
      terminalType: '2',
      captchaVal: this.data.captchaVal,
      captchaKey: this.data.captchaKey,
    };
    const _this = this
    wx.request({
      url: 'https://hqjddj.shanghaiairport.com/system/api/loginApp?companyCode=zhdj&siteCode=edu',
      method: 'POST',
      data: parms,
      success(res) {
        if (res.data.code === "1000") {
          _this.saveToken(res.data.data.Authorization);
          _this.redirectToHome(res.data.data.userInfo);
        } else {  
          let textInfo = {
            "account.not.exist": "账号不存在",
            "pwd.error.times": "您已连续输错5次登录密码，账号已被锁定，需5分钟后自动解锁，或联系系统管理员",
            "pwd.error.times4": "密码错误！您还有1次机会",
            "pwd.error.times3": "密码错误！您还有2次机会",
            "pwd.error.times5": "密码错误！您还有0次机会",
            "pwd.error.times2": "密码错误！您还有3次机会",
            "pwd.error.times1": "密码错误！您还有4次机会",
            "img.verify.code.not.correct": "校验码输入不正确",
            "img.verify.code.expired": "校验码已过期",
            "account.pwd.error": "用户名或密码错误",
            "not.site.access.auth": "没有站点访问权限",
          }
          wx.showToast({
            title: textInfo[res.data.subMsg],
            icon: 'none',
            success:()=>{
              _this.getCaptchaKey()
            }
          });
        }
      }
    })
  },
  // AES加密密码（需要配置加密密钥）
  encryptPassword() {
    const key = CryptoJS.enc.Utf8.parse('16位加密密钥');
    const encrypted = CryptoJS.AES.encrypt(
      this.data.password,
      key, {
        mode: CryptoJS.mode.ECB
      }
    );
    return encrypted.toString();
  },

  // Token存储
  saveToken(token) {
    wx.setStorageSync(TOKEN_KEY, {
      token: token,
      expiry: Date.now() + TOKEN_EXPIRY
    });
  },

  // 跳转到首页
  redirectToHome(item) {
    if (item?.firstLogin) {
      wx.switchTab({
        url: '/pages/changePsd/index'
      });
    } else {
      wx.switchTab({
        url: '/pages/home/index'
      });
    }

  }
});