const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'
Page({
  data: {
    activeId: 0,
    targetFrom: "意见建议",
    type: '',
    mailList: [],
  },
  onLoad: function (options) {
    // options.type   1 党委书记信箱 2纪检信箱
    if (options.type == '2') {
      this.setData({
        mailList: [{
            name: "意见建议",
            id: 1
          },
          {
            name: "线索提供",
            id: 2
          },
          {
            name: "举报",
            id: 3
          },
        ]
      })
      wx.setNavigationBarTitle({
        title: "纪检信箱"
      });
    } else {
      wx.setNavigationBarTitle({
        title: "党委书记信箱"
      });
      this.setData({
        mailList: [{
            name: "意见建议",
            id: 1
          },
          {
            name: "反映问题",
            id: 2
          },
          {
            name: "寻求帮助",
            id: 3
          },
        ]
      })

    }
    this.setData({
      type: options.type
    })
  },
  onReady: function () {

  },
  handleClick(e) {
    let val = e.currentTarget.dataset;
    console.log(val)
    if (this.data.activeId != val.index) {
      this.setData({
        activeId: val.index,
        targetFrom: val.item.name,
      });
    }
  },
  formSubmit(e) {
    const uploadData = this.selectComponent('#upload')?.data;
    let videos = [];
    let params = {
      fileName: e.detail.value.fileName,
      content: e.detail.value.content,
      ossPicUrl: JSON.stringify(uploadData.uploadFile),
      ossVideoUrl: JSON.stringify(videos),
      remark: e.detail.value.remark,
      targetFrom: this.data.targetFrom, //来信目的
      anonymousFlag: e.detail.value.anonymousFlag ? 1 : 0, //是否匿名：1是，0否
    };
    if (!e.detail.value.fileName) {
      return  wx.showToast({
        title: '请输入标题',
        icon: 'error',
      })
    }
    if (!e.detail.value.content) {
      return wx.showToast({
        title: '请输入具体内容',
        icon: 'error',
      })
    }
    if (this.data.type == 1 && !e.detail.value.remark) {
     return wx.showToast({
        title: '请输入期望结果',
        icon: 'error',
      })
    }
    if (this.data.type == 1) {
      post(url.dwsystemMailboxApi, params).then(res => {
        wx.showToast({
          title: '提交成功',
          icon: 'success',
          success: () => {
            wx.navigateBack()
          }
        })
      })
    } else {
      post(url.systemMailboxApi, params).then(res => {
        wx.showToast({
          title: '提交成功',
          icon: 'success',
          success: () => {
            wx.navigateBack()
          }
        })
      })
    }
  },
  switchChange(e) {
    console.log(e.detail)
  },
})