const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'
Page({
  data: {
    anonymousValue: false,
    titleValue: "",
    contentValue: "",
    bizType: 0,
    activeId: 0,
    mapList: [{
        id: 0,
        cnName: "功能异常"
      },
      {
        id: 1,
        cnName: "体验问题"
      },
      {
        id: 2,
        cnName: "产品建议"
      },
      {
        id: 3,
        cnName: "其他"
      }
    ]
  },
  onLoad() {
    
  },
  handleMessageClick(e) {
    this.setData({
      activeId: e.currentTarget.dataset.index,
      bizType: e.currentTarget.dataset.data.id
    });
  },
  handleClick() {
    if (!this.data.titleValue) {
      wx.showToast({
        title: "请输入标题",
        icon: "none"
      });
      return;
    }
    if (!this.data.contentValue) {
      wx.showToast({
        title: "请输入问题或建议",
        icon: "none"
      });
      return;
    }
    if (this.data.contentValue.length < 10) {
      wx.showToast({
        title: "最少输入 10 字或以上内容",
        icon: "none"
      });
      return;
    }
    const uploadData = this.selectComponent('#upload')?.data;
    let params = {
      name: this.data.titleValue,
      content: this.data.contentValue,
      ossUrl: JSON.stringify(uploadData.uploadFile),
      anonymousValue: this.data.anonymousValue ? 1 : 0,
      bizType: this.data.bizType
    };
    post(url.setLeaveMesApi, params).then(res => {
      wx.showToast({
        title: "提交成功",
        icon: "success",
        duration:2000,
        success: () => {
          wx.navigateBack();
        }
      });
    })
  },
  onTitleChange(e) {
    this.setData({
      titleValue: e.detail.value
    });
  },
  onContentChange(e) {
    this.setData({
      contentValue: e.detail.value
    });
  },
  switchChange(e) {
    this.setData({
      anonymousValue: e.detail.value
    });
  },
});