const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig';
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    infoData: {},
    imageList: [],
    headPortrait: "",
    fullName: "",
    fullNameCanChange: false,
    mobile: "",
    mobileCanChange: false,
    description: "",
    descriptionCanChange: false
  },
  onLoad() {
    get(url.userInfoApi).then(res => {
      this.setData({
        infoData: res.data,
        headPortrait: res.data.headPortrait,
        fullName: res.data.fullName,
        mobile: res.data.mobile,
        description: res.data.description,
      })
    })
  },
  chooseImage() {
    wx.chooseImage({
      count: 1,
      success: (res) => {
        const tempFilePaths = res.tempFilePaths;
        const TOKEN_KEY = 'auth_token';
        const tokenData = wx.getStorageSync(TOKEN_KEY);
        wx.uploadFile({
          url: 'https://hqjddj.shanghaiairport.com/aliyun/api/upload/?companyCode=zhdj&siteCode=edu', // 服务器接口地址
          filePath: tempFilePaths[0], // 单张图片路径
          name: 'file', // 后台接收的字段名
          header: {
            'content-type': 'application/json', // 默认JSON格式
            'Authorization': tokenData.token,
          },
          success: (res) => {
            const data = JSON.parse(res.data); // 解析服务器响应
            this.setData({
              headPortrait: data.data,
            });
          },
        });
        
      }
    });
    console.log(this.data.headPortrait)
  },
  getMeInfoChange(e) {
    this.setData({
      fullName: e.detail.value
    })
  },
  getMeInfoChange1(e) {
    this.setData({
      mobile: e.detail.value
    })
  },
  getMeInfoChange2(e) {
    this.setData({
      description: e.detail.value
    })
  },
  nameChange() {
    this.setData({
      fullNameCanChange: true
    })
  },
  nameChange() {
    this.setData({
      fullNameCanChange: true
    })
  },
  nameChange() {
    this.setData({
      fullNameCanChange: true
    })
  },
  mobileChange() {
    this.setData({
      mobileCanChange: true
    })
  },
  descriptionChange() {
    this.setData({
      descriptionCanChange: true
    })
  },
  submitChange() {
    let params = {
      id: this.data.infoData.id,
      headPortrait: this.data.headPortrait,
      fullName: this.data.fullName,
      mobile: this.data.mobile,
      description: this.data.description,
    };
    // 模拟提交数据，实际使用 wx.request 替换
    post(url.saveUserInfoApi, params).then(() => {
      wx.showToast({
        title: '保存成功',
        success: () => {
          wx.navigateBack()
        }
      })
    })
  },
});