const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
Page({
  data: {
    answerShow: false,
    researchId: '',
    questionData: {},
    answerQuestionData:{},
    answerArr: []
  },
  onLoad: function (options) {
    this.setData({
      researchId: options.id
    })
    let params = {
      researchId: this.data.researchId
    }
    this.getData(params);
  },
  /**
   * 获取问卷数据 同时也可以提交答案
   * 
   */
  getData(params) {
    post(url.getQuestionnaireDataApi, params).then(res => {
      if (res.data == 1) {
        get(url.getAnswerApi, {
          researchId: this.data.researchId
        }).then(res => {
          this.setData({
            answerShow: true,
            answerArr: res.data.answerQuestions,
          })
        })
      } else {
        this.setData({
          questionData: res.data.question,
          answerQuestionData: res.data.answerQuestionVo,
          type: res.data.question?.type,
          answerShow: false
        })
        if (
          params.answerQuestionVo?.isLast == 1
        ) {
          wx.navigateBack()
        }
      }
    })
  },
  //上一题
  pageChangeUp() {
    let params = {
      researchId: this.data.researchId,
      num: this.data.questionData.no - 1,
      answerQuestionVo: {
        questionId: this.data.questionData.id,
      },
    };
    this.getData(params);
  },
  //下一题
  pageChangeNext() {
    //单选组件数据
    const singleData = this.selectComponent('#single')?.data;
    //多选组件数据
    const multipleData = this.selectComponent('#multiple')?.data;
    //打分组件数据
    const scoringData = this.selectComponent('#scoring')?.data;
    //问答组件数据
    const essayData = this.selectComponent('#essay')?.data;
    let params = {
      researchId: this.data.researchId,
      answerQuestionVo: {
        questionId: this.data.questionData.id,
        questionItems: [],
      },
    };
    switch (this.data.questionData.type) {
      case 1:
        // 单选
        params.answerQuestionVo.questionItems.push({
          content: "",
          optionId: singleData.singleVal,
          score: "",
        })
        break;
      case 2:
        // 多选
        multipleData.multipleVal.map((item) => {
          params.answerQuestionVo.questionItems.push({
            content: "",
            optionId: item,
            score: "",
          })
        })
        break;
      case 3:
        // 问答
        params.answerQuestionVo.questionItems.push({
          content: essayData.essayVal,
          optionId: "",
          score: "",
        })
        this.selectComponent('#essay').triggerCustomEvent('');
        break;
      case 4:
        // 打分
        params.answerQuestionVo.questionItems.push({
          content: "",
          optionId: this.data.questionData.options[0].id,
          score: scoringData.scoringVal,
        })
        break;
      default:
        break;
    }
    if (this.data.questionData.isLast == 1) {
      params.answerQuestionVo.isLast = 1
    }
    this.getData(params);
    this.setData({
      answerShow:true
    })

  },
})