const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    dataList: {},
    btnType: 0,
  },
  onLoad: function (options) {
    let params = {
      examId: options.id
    }
    post(url.getExamDetatilApi, params).then(res => {
      let item = res.data;
      this.getBtnStatu(item)
      item.startTime = moment(item.startTime).format("YYYY-MM-DD");
      item.endTime = moment(item.endTime).format("YYYY-MM-DD");
      this.setData({
        dataList: item,
      });
    })
  },
  getBtnStatu(item) {
    let itemTime = new Date().getTime();
    // btnType 0:没有考试次数,1:考试时间未到,2:考试已过时,3:继续考试,4:开始考试
    if (
      Number.parseInt(item.answerNum) !== 0 &&
      Number.parseInt(item.examNum) >= Number.parseInt(item.answerNum)
    ) {
      this.setData({
        btnType: 0
      })
    } else if (itemTime < item.startTime || itemTime > item.endTime) {
      if (itemTime < item.startTime) {
        this.setData({
          btnType: 1
        })
      } else {
        this.setData({
          btnType: 2
        })
      }
    } else {
      if (String(item.isExam) === "1") {
        this.setData({
          btnType: 3
        })
      } else {
        this.setData({
          btnType: 4
        })
      }
    }
  },
  lookHistory() {
    wx.navigateTo({
      url: '/pages/trainingAndTest/examHistory/index?id='+this.options.id+`&type=`+this.data.btnType,
    })
  },
  startClick() {
    // let {
    //   id,
    //   isExam,
    //   answerId,
    //   trainingProjectId,
    //   pageMode
    // } =
    // this.state.dataList; 
    if (this.data.btnType >= 3) {
      wx.navigateTo({
        url: '/pages/trainingAndTest/examQuestion/index?id='+this.options.id,
      })
    }

  },
})