const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    questionData: {},
    btnType: 0,
    answerId: '',
    accountId: '',
    pageNo: 1,
    questionNumber: 0,
    questionItems: [],
    radioVal: ""
  },
  onLoad: function (options) {
    console.log(options)
    let params = {
      examId: options.id,
      pageNo: 1,
      pageSize: 1
    }
    this.getQuestionItem(params)
  },
  getQuestionItem(params) {
    post(url.getQuestionItemApi, params).then(res => {
      let item = res.data;
      item.questions[0].index = Number(item.questions[0].index)
      this.setData({
        questionData: item.questions[0],
        answerId: item.answerId,
        accountId: item.accountId,
        questionNumber: item.questionNumber
      });
    })
  },
  beforeQuestion() {
    this.setData({
      pageNo: this.data.pageNo - 1
    })
    let params = {
      examId: this.options.id,
      answerId: this.data.answerId,
      pageNo: this.data.pageNo,
      pageSize: 1
    }
    this.getQuestionItem(params)
  },
  nextQuestion() {
    this.setData({
      pageNo: this.data.pageNo + 1
    })

    this.saveQuestionItem()

  },
  saveQuestionItem() {
    const itemData = this.selectComponent('#examItem')?.data;
    this.setData({
      radioVal: itemData.radioVal
    })
    console.log(itemData.radioVal)
    // 选项为空的时候，判断之前是不是有过答案，如果有就保存之前的答案
    let ops = []
    if (!itemData.radioVal) {
      this.data.questionData.questionOptions.map(item => {
        if (item.answer == 1) {
          ops.push({
            answer: item.answer,
            optionId: item.optionId,
            sort: item.sort
          })
        } else {
          if (item.optionId == this.data.radioVal) {
            ops.push({
              answer: 1,
              optionId: item.optionId,
              sort: item.sort
            })
          } else {
            ops.push({
              answer: 0,
              optionId: item.optionId,
              sort: item.sort
            })
          }
        }
      })
    } else {
      this.data.questionData.questionOptions.map(item => {
        if (this.data.questionData.type == 1) {
          if (item.optionId == this.data.radioVal) {
            ops.push({
              answer: 1,
              optionId: item.optionId,
              sort: item.sort
            })
          } else {
            ops.push({
              answer: 0,
              optionId: item.optionId,
              sort: item.sort
            })
          }
        }

      })
    }
    this.data.questionItems.push({
      ansQId: this.data.questionData.answerQuestionId,
      mark: this.data.questionData.flag,
      ops: ops,
      sub: this.data.questionData.sub,
      type: this.data.questionData.type
    })
     
    let params = {
      accountId: this.data.accountId,
      examId: this.options.id,
      answerId: this.data.answerId,
      epList: this.data.questionItems
    }
    post(url.saveQuestionItemApi, params).then(res => {
      let params = {
        examId: this.options.id,
        answerId: this.data.answerId,
        pageNo: this.data.pageNo,
        pageSize: 1
      }
      this.getQuestionItem(params)
    })
  },
})