const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    navSta: true,
    newsList: [],
    examList: [],
  },
  onLoad: function (options) {
    if(options.type == 2){
      this.setData({
        navSta:false
      })
    }else{
      this.setData({
        navSta:true
      })
    }
    let params = {
      pageNo: 1,
      pageSize: 50,
      relationId: options.id,
      terminalName: "MOBILE",
      typeName: "news",
    }
    //培训列表
    post(url.getTrainingListApi, params).then(res => {
      res.data.news.map((item) => {
        item.releaseTime = moment(item.releaseTime).format("YYYY-MM-DD")
      })
      this.setData({
        newsList: res.data.news
      })
    })
    //测试列表
    post(url.getExamListApi, {
      pageNo: 1,
      pageSize: 50
    }).then(res => {
      res.data.map((item) => {
        item.startTime = moment(item.startTime).format("YYYY-MM-DD");
        item.endTime = moment(item.endTime).format("YYYY-MM-DD");
      })
      this.setData({
        examList: res.data
      })
    })
  },
  navChange() {
    let sta = this.data.navSta
    this.setData({
      navSta: !sta
    })
  },
  handleTo: function (e) {
    let item = e.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/NewsMessage/news/index?id='+item.id,
    })
  },
  handleExamDetail: function (e) {
    let item = e.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/trainingAndTest/examDetail/index?id='+item.id,
    })
  },
})