const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    list: [],
    oldVoteNum: '',
    voteNum: '',
    name: ''
  },
  onLoad(options) {
    const id = options.id;
    get(url.voteListApi, {
      researchId: id
    }).then(res => {
      const list = res.data.map((item) => {
        item.actived = true;
        return item;
      });
      this.setData({
        list: list
      });
    })
    get(url.voteSumbitSecondApi, {
      researchId: id
    }).then(res => {
      this.setData({
        voteNum: res.data.voteNum,
        oldVoteNum: res.data.voteNum,
        name: res.data.name,
      });
    })
  },
  handleTo(e) {
    let item = e.currentTarget.dataset.item;
    wx.setStorageSync('voteDetailImgSrc', item.contentAppendixUrl);
    wx.navigateTo({
      url: `/pages/vote/detail/index?id=${this.options.id}&content=${item.content}&keywords=${item.keywords}&name=${item.options[0].content}`
    });
  },
  handleVote(e) {
    let item = e.currentTarget.dataset.item;
    if (this.data.oldVoteNum !== 0) {
      if (this.data.voteNum === 0) {
        wx.showModal({
          title: '提示',
          showCancel: false,
          content: '本次投票最多选择' + this.data.oldVoteNum + '项',
        })
      } else {
        if (item.actived) {
          this.setData({
            voteNum: this.data.voteNum - 1
          });
          const newList = this.data.list.map((i) => {
            if (i.id == item.id) {
              i.actived = false;
            }
            return i;
          });
          this.setData({
            list: newList
          });
          console.log(this.data.list)
        }
      }
    }
  },
  handleSumbit(voteNum, oldVoteNum) {
    if (this.data.oldVoteNum === 0) {
      wx.navigateTo({
        url: `/pages/vote/theCharts/index?id=${this.options.id}`
      });
    } else {
      const xkeyData = [];
      const {
        list
      } = this.data;
      list.forEach((item) => {
        if (item.actived) {
          xkeyData.push({
            questionId: item.options[0].questionId,
            questionType: item.options[0].questionType,
            questionItems: [{
              optionId: '',
              content: '',
              score: ''
            }]
          });
        } else {
          xkeyData.push({
            questionId: item.options[0].questionId,
            questionType: item.options[0].questionType,
            questionItems: [{
              optionId: item.options[0].id,
              content: '',
              score: ''
            }]
          });
        }
      });
      const params = {
        researchId: this.options.id,
        terminalType: 2,
        startTime: moment(new Date()).format("YYYY-MM-DD HH:mm:ss"),
        submitTime: moment(new Date()).format("YYYY-MM-DD HH:mm:ss"),
        questions: xkeyData
      };
      if (this.data.voteNum == this.data.oldVoteNum) {
        wx.showModal({
          title: '提示',
          showCancel: false,
          content: '本次投票最少选择1项',
        })
      } else {
        post(url.voteSumbitApi, params).then(() => {
          get(url.voteSumbitSecondApi, {
            researchId: this.options.id
          }).then(res => {
            this.setData({
              voteNum: res.data.voteNum,
              oldVoteNum: res.data.voteNum
            });
          })

        })
      }
    }
  },
});