// utils/request.js
const TOKEN_KEY = 'auth_token';
const tokenData = wx.getStorageSync(TOKEN_KEY);
function request(options) {
  return new Promise((resolve, reject) => {
    wx.request({
      url: options.url+`?companyCode=zhdj&siteCode=edu`, // 拼接基础URL和接口路径
      data: options.data || {}, // 请求参数
      method: options.method,
      header: {
        'content-type': 'application/json', // 默认JSON格式
        'Authorization': tokenData.token,
        ...options.header // 可以覆盖默认header
      },
      success: (res) => {
        if (res.statusCode >= 200 && res.statusCode < 300) {
          resolve(res.data); // 请求成功，解析数据并返回
        } else {
          if(res.data.code == '2002'){
            wx.navigateTo({
              url: '/pages/login/index',
            })
          }else{
            reject(res); // 请求失败，返回错误信息1
          }
          
        }
      },
      fail: (error) => {
        console.log(error,'22');
        reject(error); // 请求失败，返回错误信息
      }
    });
  });
}
 
module.exports = {
  get: (url, data) => request({ url, data, method: 'GET' }),
  post: (url, data) => request({ url, data, method: 'POST' }),
  put: (url, data) => request({ url, data, method: 'PUT' }),
  delete: (url, data) => request({ url, data, method: 'DELETE' })
};