const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return `${[year, month, day].map(formatNumber).join('/')} ${[hour, minute, second].map(formatNumber).join(':')}`
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : `0${n}`
}
const formatRichText = function (html) {
  let newContent = html.replace(/<img[^>]*>/gi, function (match, capture) {
    match = match.replace(/style="[^"]+"/gi, '').replace(/style='[^']+'/gi, '');
    match = match.replace(/width="[^"]+"/gi, '').replace(/width='[^']+'/gi, '');
    match = match.replace(/height="[^"]+"/gi, '').replace(/height='[^']+'/gi, '');
    match = match.replace(/&amp;/gi, '&')
    return match;
  });
  newContent = newContent.replace(/style="[^"]+"/gi, function (match, capture) {
    match = match
      .replace(/<p>/gi, '<p class="p_class">')
      .replace(/width:[^;]+;/gi, 'max-width:100%;')
      .replace(/width:[^;]+;/gi, 'max-width:100%;');
    return match;

  });
  newContent = newContent.replace(/<br[^>]*\/>/gi, "");
  newContent = newContent.replace(/&nbsp;/gi, '<br />');
  newContent = newContent.replace(/<a>/gi, "<a class='a_class'");
  newContent = newContent.replace(/<li/gi, "<li class='li_class'");
  newContent = newContent.replace(/\<p/gi, "<p class='p_class'");
  newContent = newContent.replace(/<\/p>/g, '</p>');
  newContent = newContent.replace(/\<span/gi, "<span class='span_class'");
  newContent = newContent.replace(/<strong>/gi, '<strong class="strong_class">');
  // newContent = newContent.replace(/\<img/gi, '<image style="width:100%;height:300px;margin-top:10rpx;margin-bottom:10rpx;" mode="widthFix"');
  newContent = newContent.replace(/<img.*?src="(.*?)".*?>/g, '<img src="$1" class="image_class" mode="aspectFill"></image>')
  return newContent;
}
module.exports = {
  formatTime,
  formatRichText
}